[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TBlobField.LoadFromFile

Load the contents of the field from a file

## Declaration

Source position: db.pas line 925

`public procedure TBlobField.LoadFromFile(`
`const FileName: string`
`);`

## Arguments

`FileName` |  | Name of file to read data from

## Description

LoadFromFile creates a file stream with FileName as the name of the file to open, en then calls LoadFromStream to read the contents of the blob field from the file. The file is opened in read-only mode.

## Errors

If the file does not exist or is nor available for reading, an exception will be raised.

## See also

LoadFromStream |  | Load the field's contents from stream
SaveToFile |  | Save field contents to a file